public class Storagetransfer.TransferOperations extends Object
| Modifier and Type | Class and Description |
|---|---|
class |
Storagetransfer.TransferOperations.Cancel |
class |
Storagetransfer.TransferOperations.Get |
class |
Storagetransfer.TransferOperations.List |
class |
Storagetransfer.TransferOperations.Pause |
class |
Storagetransfer.TransferOperations.Resume |
| Constructor and Description |
|---|
TransferOperations() |
| Modifier and Type | Method and Description |
|---|---|
Storagetransfer.TransferOperations.Cancel |
cancel(String name,
CancelOperationRequest content)
Cancels a transfer.
|
Storagetransfer.TransferOperations.Get |
get(String name)
Gets the latest state of a long-running operation.
|
Storagetransfer.TransferOperations.List |
list(String name,
String filter)
Lists transfer operations.
|
Storagetransfer.TransferOperations.Pause |
pause(String name,
PauseTransferOperationRequest content)
Pauses a transfer operation.
|
Storagetransfer.TransferOperations.Resume |
resume(String name,
ResumeTransferOperationRequest content)
Resumes a transfer operation that is paused.
|
public Storagetransfer.TransferOperations.Cancel cancel(String name, CancelOperationRequest content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - The name of the operation resource to be cancelled.content - the CancelOperationRequestIOExceptionpublic Storagetransfer.TransferOperations.Get get(String name) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - The name of the operation resource.IOExceptionpublic Storagetransfer.TransferOperations.List list(String name, String filter) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the type being listed; must be `transferOperations`.filter - Required. A list of query parameters specified as JSON text in the form of:
`{"projectId":"my_project_id", "jobNames":["jobid1","jobid2",...], "jobNamePattern":
"job_name_pattern", "operationNames":["opid1","opid2",...], "operationNamePattern":
"operation_name_pattern", "minCreationTime": "min_creation_time", "maxCreationTime":
"max_creation_time", "transferStatuses":["status1","status2",...]}` Since `jobNames`,
`operationNames`, and `transferStatuses` support multiple values, they must be specified
with array notation. `projectId` is the only argument that is required. If specified,
`jobNamePattern` and `operationNamePattern` must match the full job or operation name
respectively. '*' is a wildcard matching 0 or more characters. `minCreationTime` and
`maxCreationTime` should be timestamps encoded as a string in the [RFC
3339](https://www.ietf.org/rfc/rfc3339.txt) format. The valid values for
`transferStatuses` are case-insensitive: IN_PROGRESS, PAUSED, SUCCESS, FAILED, and
ABORTED.IOExceptionpublic Storagetransfer.TransferOperations.Pause pause(String name, PauseTransferOperationRequest content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the transfer operation.content - the PauseTransferOperationRequestIOExceptionpublic Storagetransfer.TransferOperations.Resume resume(String name, ResumeTransferOperationRequest content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.name - Required. The name of the transfer operation.content - the ResumeTransferOperationRequestIOExceptionCopyright © 2011–2024 Google. All rights reserved.